Bug 252062 - graphics/libyuv: unmark broken on aarch64
Summary: graphics/libyuv: unmark broken on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-23 04:22 UTC by Steve Wills
Modified: 2021-01-17 17:59 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (corsmith)


Attachments
patch (433 bytes, patch)
2020-12-23 04:22 UTC, Steve Wills
no flags Details | Diff
patch (542 bytes, patch)
2020-12-23 04:40 UTC, Steve Wills
no flags Details | Diff
v0 (2.44 KB, patch)
2020-12-23 10:02 UTC, Mikael Urankar
no flags Details | Diff
log file (48.67 KB, text/plain)
2020-12-23 14:46 UTC, Steve Wills
no flags Details
build failure on i386 (49.41 KB, text/plain)
2020-12-23 17:39 UTC, Steve Wills
no flags Details
v0 (5.81 KB, patch)
2020-12-25 10:33 UTC, Mikael Urankar
no flags Details | Diff
updated patch (5.00 KB, patch)
2020-12-26 13:42 UTC, Steve Wills
swills: maintainer-approval? (corsmith)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-12-23 04:22:43 UTC
Created attachment 220832 [details]
patch

Seems to build fine for me. Probably OK on ARMv7 too.
Comment 1 Steve Wills freebsd_committer 2020-12-23 04:32:21 UTC
Sorry, was mistaken.
Comment 2 Steve Wills freebsd_committer 2020-12-23 04:40:08 UTC
Created attachment 220833 [details]
patch
Comment 3 Steve Wills freebsd_committer 2020-12-23 04:40:31 UTC
This seems to fix it.
Comment 4 Mikael Urankar freebsd_committer 2020-12-23 10:02:12 UTC
Created attachment 220837 [details]
v0

It'd be nice to have neon optimization on arm. Try the attached patch.

The version is old, it should be updated to something recent. Since it's a google product I assume it follows the same update pattern as lang/v8: https://github.com/freebsd/freebsd-ports/blob/master/lang/v8/Makefile#L3-L7
Comment 5 Steve Wills freebsd_committer 2020-12-23 13:21:13 UTC
(In reply to Mikael Urankar from comment #4)
Thanks, that does sound like a better solution, but it fails to build for me:

[00:00:16] ld: error: libyuv.so: undefined reference to SumSquareError_NEON [--no-allow-shlib-undefined]
[00:00:16] ld: error: libyuv.so: undefined reference to ABGRToUVRow_NEON [--no-allow-shlib-undefined]

and lots more symbols...
Comment 6 Mikael Urankar freebsd_committer 2020-12-23 14:20:35 UTC
(In reply to Steve Wills from comment #5)
Weird, can you paste the full build log please?
Comment 7 Steve Wills freebsd_committer 2020-12-23 14:46:34 UTC
Created attachment 220845 [details]
log file

take a look
Comment 8 Mikael Urankar freebsd_committer 2020-12-23 15:21:02 UTC
(In reply to Steve Wills from comment #7)
thanks, the *neon64.cc files are not compiled, can you double check that files/patch-CMakeLists.txt is present or CMakeLists.txt is correctly patched?
Comment 9 Steve Wills freebsd_committer 2020-12-23 16:55:21 UTC
(In reply to Mikael Urankar from comment #8)
Sorry, yes, I see now, I made a mistake applying the patch. It seems good now, thanks.
Comment 10 Steve Wills freebsd_committer 2020-12-23 17:39:35 UTC
Created attachment 220853 [details]
build failure on i386

It does seem to fail on i386 now tho.
Comment 11 Mikael Urankar freebsd_committer 2020-12-25 10:33:49 UTC
Created attachment 220908 [details]
v0

I can't figure out why it fails on 11.4, let's update the port to 0.0.1741, it builds fine on x86 and aarch64
Comment 12 Steve Wills freebsd_committer 2020-12-26 13:42:52 UTC
Created attachment 220947 [details]
updated patch

I made a few minor changes, here's an updated version. Looks good to me, builds fine etc.
Comment 13 commit-hook freebsd_committer 2021-01-17 17:58:06 UTC
A commit references this bug:

Author: swills
Date: Sun Jan 17 17:57:18 UTC 2021
New revision: 561844
URL: https://svnweb.freebsd.org/changeset/ports/561844

Log:
  graphics/libyuv: fix build on aarch64

  PR:		252062
  Submitted by:	mikael
  Approved by:	maintainer timeout (corsmith@gmail.com, >2 weeks)

Changes:
  head/graphics/libyuv/Makefile
  head/graphics/libyuv/distinfo
  head/graphics/libyuv/files/libyuv.pc.in
  head/graphics/libyuv/files/patch-Makefile
  head/graphics/libyuv/pkg-plist